Subject: [Netconf] Obsoleting Netconf over SOAP(RFC4743)/BEEP(RFC4744)

From: "Bert Wijnen (IETF)" <[email-masked]>
Date: Mon, 21 Nov 2011 15:10:21 +0100

Response requested from all WG participants by December 15th 2011.

During our meeting at IETF82, the question was raised if
we should consider to obsolete (and make HISTORIC) 2 of
the NETCONF transport protocols:

- RFC4743 - Netconf over SOAP
- RFC4744 - Netconf over BEEP

It was noted, that they are currently at PS (Proposed Standard),
but that they have a normative reference to the obsoleted Netconf
Protocol (RFC4741). They cannot just depend on the new RFC6241
without being updated to also support the :base:1.1 capability,
specifically:

    o  Introduced a NETCONF username and a requirement for transport
       protocols to explain how a username is derived.

One option would be to do a revision of those 2 RFCs (similar
to the revision of RFC6242 (which obsoleted RFC4742) and
rfc5539-bis work.

However, it seems that as a WG, we should ONLY consider that
option IF:

1 - There are multiple implementations
2 - There is real production deployment
3 - There are multiple people in the WG who want to work
     on such a revision.
4 - The existing implementations (if any) are also willing
     to implement such a revision

Without that, it seems that OBSOLETING is the best path forward.

We (WG chairs) propose that the default path forward will be
to obsolete RFC4743 and RFC4744.

Anyone opposing that, please speak up asap but do so
BEFORE December 15.

And, if you do object, then please include answers to
the 4 IFs above.

Anyone in support of "obsoleting RFC4743 and RFC4744",
please let us know by December 15 as well. It is good to
also know that we have indeed WG consensus on this.

The editors/authors of the documents have been (bbc) copied.

Bert and Mehmet.

---

From: Phil Shafer <[email-masked]>
Date: Mon, 21 Nov 2011 10:59:55 -0500

>     to implement such a revision

We have an implementation of NETCONF over BEEP in JUNOS that is
used in real deployments.  I'm mostly on hiatus from IETF work due
to "day job" commitments and travel restrictions, so that's two out
of four for me.

Thanks,
 Phil

---

From: Yoshifumi Atarashi <[email-masked]>
Date: Thu, 24 Nov 2011 09:38:06 +0900

Hello,

Alaxala have an implementation of NETCONF over SOAP.
It's supported on our products.
And I know HITACHI, NEC, Allied products use NETCONF over SOAP.

  Yoshifumi Atarashi

(11/11/22 0:59), Phil Shafer wrote:
> _______________________________________________
> Netconf mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/netconf

---

From: "Ersue, Mehmet (NSN - DE/Munich)" <[email-masked]>
Date: Thu, 24 Nov 2011 08:42:59 +0100

>      to implement such a revision

This is fine. However, still the questions 3 and 4 need to be 
answered to update RFC 4743 fitting the NETCONF RFC 6241.

Cheers, 
Mehmet 

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On
Behalf Of ext
> Yoshifumi Atarashi
> Sent: Thursday, November 24, 2011 1:38 AM
> To: [email-masked]
> Subject: Re: [Netconf] Obsoleting Netconf over
SOAP(RFC4743)/BEEP(RFC4744)